# Struct rlp::PayloadInfo [−] [src]

    pub struct PayloadInfo {
        pub header_len: usize,
        pub value_len: usize,
    }

Stores basic information about item

## Fields

`header_len: usize`

Header length in bytes

`value_len: usize`

Value length in bytes

## Methods

### `impl PayloadInfo`
[src]

#### `fn total(&self) -> usize`

Total size of the RLP.

#### `fn from(header_bytes: &[u8]) -> Result<PayloadInfo, DecoderError>`

Create a new object from the given bytes RLP. The bytes

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)